'DESCRIPTION: X: Mahnwesen
'USEDBY: WAWI|FIBU
'OBJECTS: 82
'TYPE: 
'PAGEWIDTH = 210
'PAGEHEIGHT = 297
 
'AUTODEFINED VARIABLES
DIM FINISHED AS LONG
DIM PAGE AS LONG
DIM ERG AS LONG
DIM RUNNING AS LONG
DIM REPORTNAME AS STRING
DIM AKT_Y_POS AS LONG
DIM FILENAME AS STRING
DIM FIRST AS LONG
DIM COPIES AS LONG
DIM FILENAME1 AS STRING
DIM INDEXNAME AS STRING
DIM WNDERG AS STRING
DIM ONE_PER_PAGE AS LONG
DIM ONLY_NOT_EMPTY AS LONG
DIM TOTAL_FINISHED AS LONG

'USERDEFINED VARIABLES
DIM ADRESSE(7) AS STRING
DIM ANREDE AS STRING
DIM ANREDE_DRUCKEN AS LONG
DIM BETRAG AS DOUBLE
DIM BRIEFFUSS_SEITE1 AS LONG
DIM BRIEFFUSS_SEITE2 AS LONG
DIM BRIEFKOPF_SEITE1 AS LONG
DIM BRIEFKOPF_SEITE1_GEDR AS LONG
DIM BRIEFKOPF_SEITE2 AS LONG
DIM BRIEFKOPF_SEITE2_GEDR AS LONG
DIM EINZAHLUNGSBETRAG AS DOUBLE
DIM I AS LONG
DIM J AS LONG
DIM LETZTESEITE_GEDRUCKT AS LONG
DIM LKZ_DRUCK AS STRING
DIM MAHNGEBUEHR AS DOUBLE
DIM MAHNMODELL AS STRING
DIM MAX_MAHNSTUFE AS LONG
DIM OFF_POST AS DOUBLE
DIM SKIPPED AS LONG
DIM STAMMDATEN AS LONG
DIM STAMMFUSS AS STRING
DIM VERZUGSZINSEN AS DOUBLE
DIM ZINSTAGE AS LONG
 
FILENAME1 = "XMAHNUNG"
 
    'CODESECTION

'@MAHNDATUM
'@MAHNZAEHLER_ERHOEHEN
'@BRIEFKOPF_DRUCKEN
'@MAHNLISTE_ERSTELLEN
'@RECHTSANWALTSLISTE_ERSTELLEN
@MAHNDATUM = DATE
    'END CODESECTION
 

END

OK_ONPRESS:
@OK.ONPRESS:

FIRST = 0
FILENAME = "XMAHNUNG"
REPORTNAME = "Mahnwesen"
'$INCLUDE \RTS\BAS\RDRUMAK
PRINT( "DESTINATION: ORIENTATION: 0");
PRINT("BEGINDOC:");

@BEGINDOC:

FOR COPIES = 1 TO @EXEMPLARE

IF RUNNING = 0 THEN
  DATASET_XADRESSE
  DATASET_XMAHNDEF
  DATASET_XOP
  DATASET_XSTMDAT
  DATASET_XMAHNTXT
  DATASET_XGEMAHNT
  DATASET_XRALIST
  DATASET_XMAHNSTA
  DATASET_XHAUSBNK
  RUNNING = 1
END IF

GOTOFIRST( "XADRESSE")
GOTOFIRST( "XMAHNDEF")
GOTOFIRST( "XOP")
GOTOFIRST( "XSTMDAT")
GOTOFIRST( "XMAHNTXT")
GOTOFIRST( "XGEMAHNT")
GOTOFIRST( "XRALIST")
GOTOFIRST( "XMAHNSTA")
GOTOFIRST( "XHAUSBNK")

ADRESSE(1) = ""
ADRESSE(2) = ""
ADRESSE(3) = ""
ADRESSE(4) = ""
ADRESSE(5) = ""
ADRESSE(6) = ""
ADRESSE(7) = ""
ANREDE = ""
ANREDE_DRUCKEN = 0
BETRAG = 0
BRIEFFUSS_SEITE1 = 0
BRIEFFUSS_SEITE2 = 0
BRIEFKOPF_SEITE1 = 0
BRIEFKOPF_SEITE1_GEDR = 0
BRIEFKOPF_SEITE2 = 0
BRIEFKOPF_SEITE2_GEDR = 0
EINZAHLUNGSBETRAG = 0
I = 0
J = 0
LETZTESEITE_GEDRUCKT = 0
LKZ_DRUCK = ""
MAHNGEBUEHR = 0
MAHNMODELL = ""
MAX_MAHNSTUFE = 0
OFF_POST = 0
SKIPPED = 0
STAMMDATEN = 0
STAMMFUSS = ""
VERZUGSZINSEN = 0
ZINSTAGE = 0

    'CODESECTION
'DETAILTABELLE POSITIONIEREN 
  SETFILTER("XOP", "")
  SETFILTER("XOP", "MAHN_CODE = 'J'")
'KOPFTABELLE POSITIONIEREN
  setrangestart("XADRESSE")
  gotofirst("XOP")
  setrangestart("XADRESSE", "FIB_KTO_NR", &xop.fib_kto_nr)
  gotolast("XOP")
  setrangeend("XADRESSE", "FIB_KTO_NR", &xop.fib_kto_nr)
  gotofirst("XOP")
  gotofirst("XADRESSE")
  IF @MAHNLISTE_ERSTELLEN = 1 THEN emptytable("XGEMAHNT")
  IF @RECHTSANWALTSLISTE_ERSTELLEN = 1 THEN emptytable("XRALIST")

  ANFANG:
BETRAG = 0
EINZAHLUNGSBETRAG = 0
MAHNGEBUEHR = 0
MAX_MAHNSTUFE = 0
OFF_POST = 0
VERZUGSZINSEN = 0
ZINSTAGE = 0
LETZTESEITE_GEDRUCKT = 0

  skipped = 0
  FINDfirst("XOP", "FIB_KTO_NR", &XADRESSE.FIB_KTO_NR)
  if (&xop.FIB_KTO_NR <> &XADRESSE.FIB_KTO_NR) or (&XOP.MAHN_CODE <> "J") or (&XADRESSE.MAHNART <> "J") then 
    skipped = 1
    GOTO WEITER
  END IF

  DO WHILE (EOF("XOP") = 0) AND (&XOP.FIB_KTO_NR = &XADRESSE.FIB_KTO_NR)
    IF MAX_MAHNSTUFE < &XOP.MAHNSTUFE THEN MAX_MAHNSTUFE = &XOP.MAHNSTUFE
    SKIP("XOP", 1)
  LOOP
  FINDFIRST("XOP", "FIB_KTO_NR", &XADRESSE.FIB_KTO_NR)

' Höchste Mahnstufe ermitteln um den richtigen Mahntext zu suchen
  ZINSTAGE = 1
  if &XMAHNDEF.modell <> &xadresse.mahnmodell then
    findfirst("XMAHNDEF", "MODELL", &xadresse.mahnmodell)
  end if
  mahnmodell = &XMAHNDEF.modell
  IF MAX_MAHNSTUFE >= &XMAHNDEF.H_MAHNSTUF THEN 
    MAX_MAHNSTUFE = &XMAHNDEF.H_MAHNSTUF
    ZINSTAGE = 0
  END IF
  FINDFIRST("XMAHNTXT", "modell", mahnmodell, "MAHN_STUFE", MAX_MAHNSTUFE + ZINSTAGE, "SPRACHE", &XADRESSE.SPRACHE)  

  IF &XADRESSE.MAHNGEB = "J" THEN
    MAHNGEBUEHR = GETFIELD("XMAHNDEF", "MAHNGEB" + STR$(MAX_MAHNSTUFE + ZINSTAGE))
  END IF

  if (@MAHNZAEHLER_ERHOEHEN = 1) AND (ERG <> 1000) then
    if FINDkey("XMAHNSTA", "FIB_KTO_NR", &XADRESSE.fib_kto_nr) = 0 then
      appendblank("xmahnsta")
    end if
    &xmahnsta.fib_kto_nr = &Xadresse.fib_kto_nr
    putfield("xmahnsta", "mahnstufe" + str$(MAX_MAHNSTUFE + ZINSTAGE), getfield("xmahnsta", "mahnstufe" + str$(MAX_MAHNSTUFE + ZINSTAGE)) + 1)
    store("xmahnsta")
  end if
      
  IF @MAHNLISTE_ERSTELLEN = 1 THEN
   IF FINDKEY("XGEMAHNT", "FIB_KTO_NR", &XADRESSE.FIB_KTO_NR) = 0 THEN
     APPENDBLANK("XGEMAHNT")
   END IF
   &XGEMAHNT.FIB_KTO_NR = &XADRESSE.FIB_KTO_NR
   &XGEMAHNT.NAME = &XADRESSE.NAME1
   &XGEMAHNT.STRASSE = &XADRESSE.STRASSE
   &XGEMAHNT.PLZ = &XADRESSE.PLZ
   &XGEMAHNT.ORT = &XADRESSE.ORT
   STORE("XGEMAHNT")
  END IF
  OFF_POST = 0

  anrede = &xadresse.anrede
  adresse(1) = &XADRESSE.NAME1
  adresse(2) = &XADRESSE.NAME2
  adresse(3) = &XADRESSE.NAME3
  adresse(4) = ""
  adresse(5) = &XADRESSE.STRASSE
  adresse(6) = &XADRESSE.PLZ + " " + &XADRESSE.ORT
  adresse(7) = ""
  lkz_druck = &XADRESSE.LKZ

  if lkz_druck <> "A" then
    OPENTABLE( "XLKZ", "XLKZ")
    if findkey( "XLKZ", "LAND_KZ", lkz_druck) = 1 then
      adresse(7) = UPPER$( &XLKZ.LAND)
    else
      adresse(7) = "Land unbekannt: " + lkz_druck
    end if
  end if

  j = 1
  for i = 1 to 7
    if adresse(i) <> "" then
      adresse(j) = adresse(i)
      j = j + 1
    end if
  next 
  do while j <= 7
    adresse(j) = ""
    j = j + 1
  loop

  stammfuss = ltrim$( rtrim$( &XSTMDAT.NAME1))
  if (&XSTMDAT.STRASSE <> "") then stammfuss = stammfuss + ", " + &XSTMDAT.STRASSE
  if (&XSTMDAT.PLZ <> "") then stammfuss = stammfuss + ", " + &XSTMDAT.PLZ + " " + &XSTMDAT.ORT
  if (&XSTMDAT.TELEFON1 <> "") then stammfuss = stammfuss + ", Telefon: " + &XSTMDAT.TELEFON1
  if (&XSTMDAT.TELEFAX <> "") then stammfuss = stammfuss + ", Telefax: " + &XSTMDAT.TELEFAX
  if (&XSTMDAT.HOMEPAGE <> "") then stammfuss = stammfuss + ", Homepage: " + &XSTMDAT.HOMEPAGE

' Wenn manuelle Bearbeitung gewünscht, die entsprechenden Optionen einblenden
  briefkopf_seite1 = 1
  briefkopf_seite2 = 0
  brieffuss_seite1 = 1
  brieffuss_seite2 = 1
  stammdaten = 1
'  ANREDE_drucken = 1

    'END CODESECTION
 

TAB(0, 0)
PAGE = 1
FINISHED = 0
TOTAL_FINISHED = 0
PRINT( "GOTO: X: 0, Y: 0");
    'CODESECTION
PRINT_LASTPAGE: 
    'END CODESECTION
 
DO
    'CODESECTION

    'END CODESECTION
 
  HEADER_11
  HEADER_12
  HEADER_13
  HEADER_14
  HEADER_15
  HEADER_MAHNTEXT
  HEADER_UEBERSCHRIFT
  HEADER_UEBERTRAG_OBEN
  DETAILAREA_OP_BEREICH
  FOOT_UEBERTRAG_UNTEN
  FOOT_SUMMENBLOCK
  FOOT_19
  IF (GETPRINT("CURRENTPAGE") + 1) = PAGE THEN
    FINISHED = 1
    TOTAL_FINISHED = 1
  END IF
  IF GETPRINT("ABORTED") = 1 THEN
    FINISHED = 1
    TOTAL_FINISHED = 1
  END IF
  IF FINISHED = 0 THEN
    PRINT("NEWPAGE:")
    PAGE = PAGE + 1
  END IF
    'CODESECTION
 
    'END CODESECTION
 
LOOP WHILE FINISHED = 0

    'CODESECTION
IF LETZTESEITE_GEDRUCKT = 0 THEN 
  PRINT("NEWPAGE:")
  GOTO PRINT_LASTPAGE
END IF
WEITER:
if &XADRESSE.MAHNART = "M" then
  &XADRESSE.MAHNART = "J"
  STORE("XADRESSE")
end if
SKIP("XADRESSE", 1)
IF EOF("XADRESSE") = 0 THEN 
  if skipped = 0 then
    PRINT("NEWPAGE:")
  end if
  GOTO ANFANG
END IF
    'END CODESECTION
 


    'CODESECTION
 
    'END CODESECTION
 

IF COPIES <> @EXEMPLARE THEN
  PRINT("NEWPAGE:")
END IF
NEXT
IF (&BERICHTE.BERICHT = FILENAME) AND (EOF("BERICHTE") = 0) THEN
  FIRST = 1
  PRINT("ENDDOC:");
  GOTO NAECHSTERBERICHT
END IF

PRINT("ENDDOC:");

RETURN

'$INCLUDE \RTS\BAS\RDRUMAK1

    'CODESECTION
 
    'END CODESECTION
 
    'CODESECTION
 
    'END CODESECTION
 
'PAGECONTROL: 1

'R: L: 0, T: 0, W: 1083, H: 976
'R: L: 20, T: 20, W: 24, H: 24
SUB DATASET_XADRESSE
  OPENTABLE( "XADRESSE", "XADRESSE")
  SETINDEX( "XADRESSE", "FIBU_KONTO")
END SUB 
 
'R: L: 52, T: 20, W: 24, H: 24
SUB DATASET_XMAHNDEF
  OPENTABLE( "XMAHNDEF", "XMAHNDEF")
END SUB 
 
'R: L: 84, T: 20, W: 24, H: 24
SUB DATASET_XOP
  OPENTABLE( "XOP", "XOP")
  SETINDEX( "XOP", "ADRBELNUMMER")
END SUB 
 
'R: L: 84, T: 20, W: 24, H: 24
SUB DATASET_XSTMDAT
  OPENTABLE( "XSTMDAT", "XSTMDAT")
END SUB 
 
'R: L: 116, T: 20, W: 24, H: 24
SUB DATASET_XMAHNTXT
  OPENTABLE( "XMAHNTXT", "XMAHNTXT")
END SUB 
 
'R: L: 148, T: 20, W: 24, H: 24
SUB DATASET_XGEMAHNT
  OPENTABLE( "XGEMAHNT", "XGEMAHNT")
END SUB 
 
'R: L: 180, T: 20, W: 24, H: 24
SUB DATASET_XRALIST
  OPENTABLE( "XRALIST", "XRALIST")
END SUB 
 
'R: L: 212, T: 20, W: 24, H: 24
SUB DATASET_XMAHNSTA
  OPENTABLE( "XMAHNSTA", "XMAHNSTA")
END SUB 
 
'R: L: 244, T: 20, W: 24, H: 24
SUB DATASET_XHAUSBNK
  OPENTABLE( "XHAUSBNK", "XHAUSBNK")
END SUB 
 
'R: L: 52, T: 40, W: 776, H: 192
SUB HEADER_11
    'CODESECTION

  IF (PAGE = 1) AND (briefkopf_seite1 = 0) THEN exit sub
  IF (PAGE > 1) AND (briefkopf_seite2 = 0) THEN exit sub
  IF (PAGE > 1) AND (briefkopf_seite1 = 0) THEN
    PRINT( "GOTO: X: 1, Y: 53");  'Der Wert der automatischen Definition (AUTODEFINED)
    exit sub
  end if  

    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 8, T: 8, W: 760, H: 176
    PRINT( "GOTO: X: 10, Y: 7, W: 190, H: 44");
    PRINT( "FONT: NAME: , SIZE: , COLOR: , TRANSPARENT:  , STYLE: ");
    PRINT &xstmdat.br_kopf;
 
    PRINT( "GOTO: X: 1, Y: 53");          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
END SUB
 
'R: L: 80, T: 236, W: 360, H: 188
SUB HEADER_12
    'CODESECTION
'  IF (PAGE > 1) AND (adresse_seite2 = 0) THEN exit sub
  IF (PAGE > 1) THEN exit sub
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 12, T: 4, W: 404, H: 16
    PRINT( "GOTO: X: 18, Y: 55, W: 101, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 7, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT replace( "Abs.: %1, %2 %3, %4", &XSTMDAT.NAME1, &XSTMDAT.PLZ, &XSTMDAT.ORT, &XSTMDAT.STRASSE);
 
'R: L: 12, T: 20, W: 336, H: 20
    IF ANREDE_DRUCKEN = 1 THEN
      PRINT( "GOTO: X: 18, Y: 59, W: 84, H: 5");
      PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
      PRINT anrede;
    END IF
 
'R: L: 12, T: 40, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 64, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(1);
 
'R: L: 12, T: 60, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 69, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(2);
 
'R: L: 12, T: 80, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 74, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(3);
 
'R: L: 12, T: 100, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 79, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(4);
 
'R: L: 12, T: 120, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 84, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(5);
 
'R: L: 12, T: 140, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 89, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(6);
 
'R: L: 12, T: 160, W: 336, H: 20
    PRINT( "GOTO: X: 18, Y: 94, W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT adresse(7);
 
    PRINT( "GOTO: X: 1, Y: 101");          'AUTODEFINED
    'CODESECTION

    'END CODESECTION
 
END SUB
 
'R: L: 468, T: 232, W: 356, H: 100
SUB HEADER_13
    'CODESECTION

    if ( page = 1) and ( stammdaten = 0) then 
      PRINT( "GOTO: X: 1, Y: 79");
      exit sub
    end if
    if ( page > 1) and ( stammdaten = 0) then 
      PRINT( "GOTO: X: 1, Y: 53");
      exit sub
    end if
'    if ( page > 1) and ( adresse_seite2 = 0) then
    if ( page > 1) then
      PRINT( "GOTO: X: 1, Y: 79");
      exit sub
    end if

    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 88, T: 0, W: 84, H: 16
    PRINT( "GOTO: X: 135, Y: 53, W: 21, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT "Unsere UID-Nr.";
 
'R: L: 176, T: 0, W: 172, H: 16
    PRINT( "GOTO: X: 157, Y: 53, W: 43, H: 4");
    Tab( 0, 0)
    Tab( 200, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
    PRINT &XSTMDAT.EU_UST_ID;
    PRINT           'AUTODEFINED
 
'R: L: 88, T: 16, W: 84, H: 16
    IF ( &XSTMDAT.HRB_NR <> "" ) THEN
      PRINT( "GOTO: X: 135, Y: 57, W: 21, H: 4");
      PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
      PRINT "FB-Nr.";
    END IF
 
'R: L: 176, T: 16, W: 172, H: 16
    IF ( &XSTMDAT.HRB_NR <> "" ) THEN
      PRINT( "GOTO: X: 157, Y: 57, W: 43, H: 4");
      Tab( 0, 0)
      Tab( 200, 1 )
      PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
      PRINT &XSTMDAT.HRB_NR;
      PRINT           'AUTODEFINED
    END IF
 
'R: L: 88, T: 32, W: 72, H: 16
    IF ( &XSTMDAT.ARA_NR <> "" ) THEN
      PRINT( "GOTO: X: 135, Y: 61, W: 18, H: 4");
      PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: TRUE , STYLE: REGULAR");
      PRINT "ARA-Nr.";
    END IF
 
'R: L: 164, T: 32, W: 184, H: 16
    IF ( &XSTMDAT.ARA_NR <> "" ) THEN
      PRINT( "GOTO: X: 154, Y: 61, W: 46, H: 4");
      Tab( 0, 0)
      Tab( 200, 1 )
      PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: TRUE, STYLE: REGULAR"),
      PRINT &XSTMDAT.ARA_NR;
      PRINT           'AUTODEFINED
    END IF
 
'R: L: 88, T: 48, W: 72, H: 16
    PRINT( "GOTO: X: 135, Y: 65, W: 18, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: TRUE , STYLE: REGULAR");
    PRINT "Bank";
 
'R: L: 164, T: 48, W: 184, H: 16
    PRINT( "GOTO: X: 154, Y: 65, W: 46, H: 4");
    Tab( 0, 0)
    Tab( 200, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
    PRINT &XHAUSBNK.NAME;
    PRINT           'AUTODEFINED
 
'R: L: 88, T: 64, W: 72, H: 16
    PRINT( "GOTO: X: 135, Y: 69, W: 18, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT "BIC";
 
'R: L: 164, T: 64, W: 184, H: 16
    PRINT( "GOTO: X: 154, Y: 69, W: 46, H: 4");
    Tab( 0, 0)
    Tab( 200, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
    PRINT &XHAUSBNK.SWIFT_BIC;
    PRINT           'AUTODEFINED
 
'R: L: 88, T: 80, W: 52, H: 16
    PRINT( "GOTO: X: 135, Y: 73, W: 13, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT "IBAN";
 
'R: L: 140, T: 80, W: 208, H: 16
    PRINT( "GOTO: X: 148, Y: 73, W: 52, H: 4");
    Tab( 0, 0)
    Tab( 200, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
    PRINT &XHAUSBNK.IBAN;
    PRINT           'AUTODEFINED
 
    PRINT( "GOTO: X: 1, Y: 78");          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
END SUB
 
'R: L: 456, T: 340, W: 372, H: 84
SUB HEADER_14     'FLOAT: TRUE
    'CODESECTION
    if (page > 1) and (briefkopf_seite2 = 0) then
      PRINT( "GOTO: X: 0, Y: 20");
    end if
 
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 104, T: 60, W: 108, H: 20
    PRINT( "GOTO: X: 135, Y: " + str$(akt_y_pos + 15) + ", W: 27, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT "Seite " + str$(PAGE);
 
'R: L: 216, T: 60, W: 148, H: 20
    PRINT( "GOTO: X: 163, Y: " + str$(akt_y_pos + 15) + ", W: 37, H: 5");
    Tab( 0, 0)
    Tab(200, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
    PRINT "Datum: " + num$(@mahndatum);
    PRINT           'AUTODEFINED
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 21));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
END SUB
 
'R: L: 80, T: 424, W: 740, H: 40
SUB HEADER_15     'BORDER: TRUE     'FLOAT: TRUE
    'CODESECTION
   if (page > 1) then exit sub
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
 
    PRINT("RECTANGLE: L: 15 , T: " + str$(akt_y_pos) + ", W: 185, H: 10")   'AUTODEFINED
'R: L: 12, T: 12, W: 120, H: 20
    PRINT( "GOTO: X: 18, Y: " + str$(akt_y_pos + 3) + ", W: 30, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: 1, TRANSPARENT: FALSE , STYLE: REGULAR");
    PRINT "Ihre Nr.: " + &XADRESSE.ADR_NUMMER;

    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 10));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
END SUB
 
'R: L: 116, T: 468, W: 704, H: 184
SUB HEADER_MAHNTEXT     'FLOAT: TRUE
  IF PAGE = 1 THEN
    'CODESECTION
 
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 4, T: 16, W: 636, H: 20
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 4) + ", W: 159, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT &xmahntxt.mahn_text;
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 46));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
  END IF
END SUB
 
'R: L: 120, T: 656, W: 680, H: 24
SUB HEADER_UEBERSCHRIFT     'FLOAT: TRUE
  IF PAGE = 1 THEN
    'CODESECTION
 
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 0, T: 0, W: 112, H: 20
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 0) + ", W: 28, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Belegnummer";
 
'R: L: 124, T: 0, W: 80, H: 20
    PRINT( "GOTO: X: 56, Y: " + str$(akt_y_pos + 0) + ", W: 20, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Datum";
 
'R: L: 216, T: 0, W: 120, H: 20
    PRINT( "GOTO: X: 79, Y: " + str$(akt_y_pos + 0) + ", W: 30, H: 5");
    Tab( 0, 0)
    Tab(109, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT "Rech. Betrag";
    PRINT           'AUTODEFINED
 
'R: L: 340, T: 0, W: 120, H: 20
    PRINT( "GOTO: X: 110, Y: " + str$(akt_y_pos + 0) + ", W: 30, H: 5");
    Tab( 0, 0)
    Tab(140, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT "offener Posten";
    PRINT           'AUTODEFINED
 
'R: L: 468, T: 0, W: 80, H: 20
    PRINT( "GOTO: X: 142, Y: " + str$(akt_y_pos + 0) + ", W: 20, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "fällig am";
 
'R: L: 548, T: 0, W: 84, H: 20
    PRINT( "GOTO: X: 162, Y: " + str$(akt_y_pos + 0) + ", W: 21, H: 5");
    Tab( 0, 0)
    Tab(183, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT "Verz. Zins.";
    PRINT           'AUTODEFINED
 
'R: L: 636, T: 0, W: 44, H: 20
    PRINT( "GOTO: X: 184, Y: " + str$(akt_y_pos + 0) + ", W: 11, H: 5");
    Tab( 0, 0)
    Tab(195, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT "Mahnst";
    PRINT           'AUTODEFINED
 
'R: L: 4, T: 20, W: 676, H: 8
    PRINT( "GOTO: X: 26, Y: "+ str$(akt_y_pos + 5));
    PRINT("LINE: WIDTH: 1, X: 195, Y: "+ str$(akt_y_pos + 5));
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 6));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
  END IF
END SUB
 
'R: L: 120, T: 680, W: 680, H: 20
SUB HEADER_UEBERTRAG_OBEN     'FLOAT: TRUE
  IF (PAGE > 1) THEN
    'CODESECTION
 
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 0, T: 0, W: 132, H: 16
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 0) + ", W: 33, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Übertrag:";
 
'R: L: 216, T: 0, W: 120, H: 16
    PRINT( "GOTO: X: 79, Y: " + str$(akt_y_pos + 0) + ", W: 30, H: 4");
    Tab( 0, 0)
    Tab(109, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(betrag, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 340, T: 0, W: 120, H: 16
    PRINT( "GOTO: X: 110, Y: " + str$(akt_y_pos + 0) + ", W: 30, H: 4");
    Tab( 0, 0)
    Tab(140, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(off_post, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 544, T: 0, W: 84, H: 16
    PRINT( "GOTO: X: 161, Y: " + str$(akt_y_pos + 0) + ", W: 21, H: 4");
    Tab( 0, 0)
    Tab(182, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(Verzugszinsen, 13, 2);
    PRINT           'AUTODEFINED
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 5));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
  END IF
END SUB
 
'R: L: 120, T: 703, W: 680, H: 236
SUB DETAILAREA_OP_BEREICH     'FLOAT: TRUE
    'CODESECTION
 
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
    IF (&XADRESSE.FIB_KTO_NR <> &XOP.FIB_KTO_NR) OR (EOF("XOP")  = 1) THEN FINISHED = 1 'ENDCONDITION
    DO WHILE (FINISHED = 0) AND (GETPRINT( "YPOS") < 230)
      DETAILLINE_OFFENEPOSTENZEILEN
      SKIP( "XOP", 1)
      IF (&XADRESSE.FIB_KTO_NR <> &XOP.FIB_KTO_NR) OR (EOF("XOP")  = 1) THEN FINISHED = 1 'ENDCONDITION
    LOOP
    'CODESECTION
 
    'END CODESECTION
 
END SUB
 
'R: L: 0, T: 20, W: 680, H: 20
SUB DETAILLINE_OFFENEPOSTENZEILEN
    'CODESECTION
BETRAG = BETRAG + &XOP.BETRAG
OFF_POST = OFF_POST + &XOP.OP
VERZUGSZINSEN = VERZUGSZINSEN + &xop.verzzins

  IF (@RECHTSANWALTSLISTE_ERSTELLEN = 1) AND (&XOP.MAHNSTUFE + 1 = &XMAHNDEF.H_MAHNSTUF) THEN
   IF FINDKEY("XRALIST", "FIB_KTO_NR", &XADRESSE.FIB_KTO_NR, "BEL_NUMMER", &XOP.BEL_NUMMER) = 0 THEN
     APPENDBLANK("XRALIST")
   END IF
   &XRALIST.FIB_KTO_NR = &XADRESSE.FIB_KTO_NR
   &XRALIST.NAME = &XADRESSE.NAME1
   &XRALIST.STRASSE = &XADRESSE.STRASSE
   &XRALIST.LAND_KENNZ = &XADRESSE.LKZ
   &XRALIST.PLZ = &XADRESSE.PLZ
   &XRALIST.ORT = &XADRESSE.ORT
   &XRALIST.BEL_DATUM = &XOP.BEL_DATUM
   &XRALIST.BEL_NUMMER = &XOP.BEL_NUMMER
   &XRALIST.FAELLIG_AM = &XOP.FAEL_DATUM
   &XRALIST.OP = &XOP.OP
   &XRALIST.ZINSEN = VERZUGSZINSEN
   STORE("XRALIST")
  END IF

    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
    Tab(0, 0)
 
'R: L: 0, T: 0, W: 112, H: 16
    Tab(25, 0 )
    PRINT( "GOTO: W: 28, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT &xop.bel_nummer;
 
'R: L: 124, T: 0, W: 80, H: 16
    Tab(56, 0 )
    PRINT( "GOTO: W: 20, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(&xop.bel_datum);
 
'R: L: 216, T: 0, W: 120, H: 16
    Tab(109, 1 )
    PRINT( "GOTO: W: 30, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(&xop.betrag, 13, 2);
 
'R: L: 340, T: 0, W: 120, H: 16
    Tab(140, 1 )
    PRINT( "GOTO: W: 30, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(&xop.op, 13, 2);
 
'R: L: 468, T: 0, W: 80, H: 16
    Tab(142, 0 )
    PRINT( "GOTO: W: 20, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(&xop.fael_datum);
 
'R: L: 548, T: 0, W: 80, H: 16
    Tab(182, 1 )
    PRINT( "GOTO: W: 20, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(&xop.verzzins, 13, 2);
 
'R: L: 632, T: 0, W: 48, H: 16
    Tab(195, 1 )
    PRINT( "GOTO: W: 12, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT str$(&xop.mahnstufe + 1);
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 5));          'AUTODEFINED
    'CODESECTION
  IF (@MAHNZAEHLER_ERHOEHEN = 1) AND (&XOP.OP > 0) AND (ERG <> 1000) AND (&XOP.MAHNSTUFE < &XMAHNDEF.H_MAHNSTUF) THEN
    &XOP.MAHNSTUFE = &XOP.MAHNSTUFE + 1
    &XOP.MAHNDATUM = @MAHNDATUM
    STORE("XOP")
  END IF
    'END CODESECTION
 
END SUB
 
'R: L: 120, T: 939, W: 680, H: 24
SUB FOOT_UEBERTRAG_UNTEN     'FLOAT: TRUE
  IF (FINISHED = 0) OR (GETPRINT( "YPOS") > 230) THEN
    'CODESECTION
 
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 0, T: 0, W: 680, H: 8
    PRINT( "GOTO: X: 25, Y: "+ str$(akt_y_pos + 0));
    PRINT("LINE: WIDTH: 1, X: 195, Y: "+ str$(akt_y_pos + 0));
 
'R: L: 0, T: 4, W: 132, H: 16
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 1) + ", W: 33, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Übertrag:";
 
'R: L: 220, T: 4, W: 120, H: 16
    PRINT( "GOTO: X: 80, Y: " + str$(akt_y_pos + 1) + ", W: 30, H: 4");
    Tab( 0, 0)
    Tab(110, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(betrag, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 344, T: 4, W: 120, H: 16
    PRINT( "GOTO: X: 111, Y: " + str$(akt_y_pos + 1) + ", W: 30, H: 4");
    Tab( 0, 0)
    Tab(141, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(off_post, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 552, T: 4, W: 80, H: 16
    PRINT( "GOTO: X: 163, Y: " + str$(akt_y_pos + 1) + ", W: 20, H: 4");
    Tab( 0, 0)
    Tab(183, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(Verzugszinsen, 13, 2);
    PRINT           'AUTODEFINED
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 6));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
  END IF
END SUB
 
'R: L: 120, T: 963, W: 684, H: 152
SUB FOOT_SUMMENBLOCK     'FLOAT: TRUE
  IF (FINISHED = 1) AND (GETPRINT( "YPOS") < 230) THEN
    'CODESECTION
 
EINZAHLUNGSBETRAG = OFF_POST + VERZUGSZINSEN + MAHNGEBUEHR
LETZTESEITE_GEDRUCKT = 1

    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 0, T: 4, W: 676, H: 8
    PRINT( "GOTO: X: 25, Y: "+ str$(akt_y_pos + 1));
    PRINT("LINE: WIDTH: 1, X: 194, Y: "+ str$(akt_y_pos + 1));
 
'R: L: 0, T: 12, W: 132, H: 20
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 3) + ", W: 33, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Summe:";
 
'R: L: 216, T: 12, W: 120, H: 16
    PRINT( "GOTO: X: 79, Y: " + str$(akt_y_pos + 3) + ", W: 30, H: 4");
    Tab( 0, 0)
    Tab(109, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(betrag, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 340, T: 12, W: 120, H: 16
    PRINT( "GOTO: X: 110, Y: " + str$(akt_y_pos + 3) + ", W: 30, H: 4");
    Tab( 0, 0)
    Tab(140, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(off_post, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 548, T: 12, W: 80, H: 16
    PRINT( "GOTO: X: 162, Y: " + str$(akt_y_pos + 3) + ", W: 20, H: 4");
    Tab( 0, 0)
    Tab(182, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(Verzugszinsen, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 0, T: 36, W: 120, H: 20
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 9) + ", W: 30, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Mahngebühr:";
 
'R: L: 548, T: 36, W: 80, H: 16
    PRINT( "GOTO: X: 162, Y: " + str$(akt_y_pos + 9) + ", W: 20, H: 4");
    Tab( 0, 0)
    Tab(182, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(mahngebuehr, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 0, T: 60, W: 336, H: 20
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 15) + ", W: 84, H: 5");
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "E I N Z A H L U N G S B E T R A G :";
 
'R: L: 548, T: 60, W: 80, H: 16
    PRINT( "GOTO: X: 162, Y: " + str$(akt_y_pos + 15) + ", W: 20, H: 4");
    Tab( 0, 0)
    Tab(182, 1 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 9, COLOR: , TRANSPARENT: , STYLE: REGULAR"),
    PRINT num$(einzahlungsbetrag, 13, 2);
    PRINT           'AUTODEFINED
 
'R: L: 548, T: 80, W: 80, H: 8
    PRINT( "GOTO: X: 162, Y: "+ str$(akt_y_pos + 20));
    PRINT("LINE: WIDTH: 1, X: 182, Y: "+ str$(akt_y_pos + 20));
 
'R: L: 0, T: 108, W: 672, H: 16
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 27) + ", W: 168, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "Sollten Sie den Betrag in der Zwischenzeit beglichen haben, so bitten wir Sie ";
 
'R: L: 0, T: 128, W: 672, H: 16
    PRINT( "GOTO: X: 25, Y: " + str$(akt_y_pos + 32) + ", W: 168, H: 4");
    PRINT( "FONT: NAME: ARIAL, SIZE: 10, COLOR: , TRANSPARENT:  , STYLE: REGULAR");
    PRINT "unsere Zahlungserinnerung als gegenstandslos zu betrachten.";
 
    PRINT( "GOTO: X: 1, Y: " + str$(akt_y_pos + 38));          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
  END IF
END SUB
 
'R: L: 52, T: 1121, W: 776, H: 64
SUB FOOT_19
    'CODESECTION
  IF (PAGE = 1) AND (brieffuss_seite1 = 0) THEN exit sub
  IF (PAGE > 1) AND (brieffuss_seite2 = 0) THEN exit sub
    'END CODESECTION
 
    AKT_Y_POS = GETPRINT( "YPOS")     'AUTODEFINED
'R: L: 8, T: 4, W: 760, H: 16
    PRINT( "GOTO: X: 10, Y: 276, W: 190, H: 4");
    Tab( 0, 0)
    Tab(105, 2 )
    PRINT( "FONT: NAME: ARIAL, SIZE: 8, COLOR: 1, TRANSPARENT: FALSE, STYLE: REGULAR"),
    PRINT stammfuss;
    PRINT           'AUTODEFINED
 
'R: L: 8, T: 20, W: 760, H: 40
    PRINT( "GOTO: X: 10, Y: 280, W: 190, H: 10");
    PRINT( "FONT: NAME: , SIZE: , COLOR: , TRANSPARENT:  , STYLE: ");
    PRINT &xstmdat.br_fuss;
 
    PRINT( "GOTO: X: 1, Y: 291");          'AUTODEFINED
    'CODESECTION
 
    'END CODESECTION
 
END SUB
 
